import { OnDestroy, OnInit, EventEmitter } from '@angular/core';
import { AccordionComponent } from './accordion.component';
/**
 * Instead of using `header` attribute on the `hi-accordion-item`, you can use
 * an `hi-accordion-header``hi-accordion-body` attribute on `any` element inside of a group that
 * will be used as group's header template.
 */
export declare class AccordionItemComponent implements OnInit, OnDestroy {
    /** Clickable text in accordion's group header, check `accordion heading` below for using html in header */
    header: string;
    /** if <code>true</code> — disables accordion item */
    isDisabled: boolean;
    /** Emits when the opened state changes */
    isOpenChange: EventEmitter<boolean>;
    /** Is accordion item open or closed. This property supports two-way binding */
    isOpen: boolean;
    protected _isOpen: boolean;
    protected accordion: AccordionComponent;
    constructor(accordion: AccordionComponent);
    ngOnInit(): any;
    ngOnDestroy(): any;
    toggleOpen(event: Event): any;
}
