import { Component, Input, Output, EventEmitter, ChangeDetectionStrategy } from '@angular/core';
import { HiNGConfig } from '../hi.config';
var AlertBoxComponent = /** @class */ (function () {
    function AlertBoxComponent(hiNGConfig) {
        this.type = 'info';
        this.close = new EventEmitter();
        this.type = hiNGConfig.alertBox.type;
        this.closable = hiNGConfig.alertBox.closable;
    }
    AlertBoxComponent.prototype.closeBox = function () {
        this.onCloseBox();
    };
    AlertBoxComponent.prototype.onCloseBox = function () {
        this.close.emit(this);
    };
    AlertBoxComponent.decorators = [
        { type: Component, args: [{
                    selector: 'hi-alert-box',
                    template: "\n    <div class=\"alert alert-{{type}} {{cssClass}}\" [ngClass]=\"{'alert-dismissible': closable}\" role=\"alert\"><div class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\" *ngIf=\"closable\"><span aria-hidden=\"true\" (click)=\"closeBox()\">&times;</span></div><ng-content></ng-content></div>\n  ",
                    exportAs: 'alertBox',
                    changeDetection: ChangeDetectionStrategy.OnPush
                },] },
    ];
    /** @nocollapse */
    AlertBoxComponent.ctorParameters = function () { return [
        { type: HiNGConfig, },
    ]; };
    AlertBoxComponent.propDecorators = {
        "type": [{ type: Input },],
        "cssClass": [{ type: Input },],
        "closable": [{ type: Input },],
        "close": [{ type: Output },],
    };
    return AlertBoxComponent;
}());
export { AlertBoxComponent };
