var HiRouterReuseStrategy = /** @class */ (function () {
    function HiRouterReuseStrategy() {
        this.handlers = {};
        this.isReusable = function (route) {
            return route.data && route.data.reusable;
        };
        this.getReusableKey = function (route) {
            return route.url.join('/');
        };
    }
    HiRouterReuseStrategy.prototype.shouldDetach = function (route) {
        return this.isReusable(route);
    };
    HiRouterReuseStrategy.prototype.store = function (route, handle) {
        this.handlers[this.getReusableKey(route)] = handle;
    };
    HiRouterReuseStrategy.prototype.shouldAttach = function (route) {
        return !!route.routeConfig && !!this.handlers[this.getReusableKey(route)];
    };
    HiRouterReuseStrategy.prototype.retrieve = function (route) {
        return this.isReusable(route) && route.routeConfig ? this.handlers[this.getReusableKey(route)] : null;
    };
    HiRouterReuseStrategy.prototype.shouldReuseRoute = function (future, curr) {
        return future.routeConfig === curr.routeConfig && this.isReusable(future);
    };
    return HiRouterReuseStrategy;
}());
export { HiRouterReuseStrategy };
