import { Component, ChangeDetectionStrategy, Input, EventEmitter, Output } from '@angular/core';
var FlowStepComponent = /** @class */ (function () {
    function FlowStepComponent() {
        this.type = 'arrow';
        this.activeChange = new EventEmitter();
    }
    FlowStepComponent.prototype.stepClick = function (step, $index) {
        if ($index < this.active) {
            this.activeChange.emit($index);
        }
    };
    FlowStepComponent.decorators = [
        { type: Component, args: [{
                    selector: 'hi-flow-step',
                    template: "\n    <ul class=\"nav step-anchor-{{type}} {{cssClass}}\"><li class=\"step\" *ngFor=\"let step of steps; let $index = index\" [ngClass]=\"{done: $index < active, 'active': $index == active}\" (click)=\"stepClick(step,$index)\"><a class=\"arrow\"><i *ngIf=\"step.icon\" class=\"step-icon {{step.icon}}\"></i>{{step.title}}<br><small>{{step.description}}</small></a></li></ul>\n  ",
                    changeDetection: ChangeDetectionStrategy.OnPush
                },] },
    ];
    /** @nocollapse */
    FlowStepComponent.propDecorators = {
        "type": [{ type: Input },],
        "steps": [{ type: Input },],
        "active": [{ type: Input },],
        "activeChange": [{ type: Output },],
        "cssClass": [{ type: Input },],
    };
    return FlowStepComponent;
}());
export { FlowStepComponent };
