import { Router, CanActivate, CanActivateChild, ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';
import { Observable } from 'rxjs/Observable';
import { OAuth2Service } from './oauth2.service';
export declare class OAuth2Guard implements CanActivate, CanActivateChild {
    private router;
    private service;
    constructor(router: Router, service: OAuth2Service);
    canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): boolean;
    canActivateChild(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<boolean> | boolean;
    /**
     * Check, if current page is protected fallback page
     *
     * @private
     *
     * @param {RouterStateSnapshot} state
     *
     * @returns {boolean}
     */
    private isPublicPage(state);
    /**
     * Navigate away from the app / path
     *
     * @private
     * @param {string} url
     */
    private navigate(url);
}
