import { EventEmitter, OnChanges, SimpleChanges, TemplateRef } from '@angular/core';
import { HiNGConfig } from '../hi.config';
export declare class PaginationComponent implements OnChanges {
    static EFFECT_PAGE_RANGE_KEYS: string[];
    boundary: boolean;
    total: number;
    pageSize: number;
    pageIndex: number;
    pageIndexChange: EventEmitter<number>;
    maxItems: number;
    firstLink: string;
    lastLink: string;
    preLink: string;
    nextLink: string;
    size: '' | 'lg' | 'sm';
    cssClass: string;
    headTemplate: TemplateRef<any>;
    tailTemplate: TemplateRef<any>;
    firstLinkCssClass: string;
    preLinkCssClass: string;
    nextLinkCssClass: string;
    lastLinkCssClass: string;
    showPages: any[];
    totalPage: number;
    constructor(hiNGConfig: HiNGConfig);
    first(): void;
    last(): void;
    prev(): void;
    next(): void;
    preRange(): void;
    nextRange(): void;
    onPageIndexChange(pageIndex: number): void;
    hasPrev(): boolean;
    hasNext(): boolean;
    private getTotalPage();
    ngOnChanges(changes: SimpleChanges): void;
    private updateShowPageRange();
    private extractRange();
}
