var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { ChangeDetectorRef, Component, EventEmitter, Input, Output, ViewEncapsulation } from '@angular/core';
import { fadeAnimation } from '../common/animation/fade-animations';
import { toBoolean } from '../utils/convert';
import { TooltipComponent } from '../tooltip/tooltip.component';
var PopconfirmComponent = /** @class */ (function (_super) {
    __extends(PopconfirmComponent, _super);
    function PopconfirmComponent(cdr) {
        var _this = _super.call(this, cdr) || this;
        _this._condition = false;
        _this._prefix = 'hi-popover-placement';
        _this._trigger = 'click';
        _this._hasBackdrop = true;
        _this.option = {
            okText: '确定',
            cancelText: '取消'
        };
        _this.hiOnCancel = new EventEmitter();
        _this.hiOnConfirm = new EventEmitter();
        return _this;
    }
    Object.defineProperty(PopconfirmComponent.prototype, "hiCondition", {
        set: function (value) {
            this._condition = toBoolean(value);
        },
        enumerable: true,
        configurable: true
    });
    PopconfirmComponent.prototype.show = function () {
        if (!this._condition) {
            this.hiVisible = true;
        }
        else {
            this.onConfirm();
        }
    };
    PopconfirmComponent.prototype.onCancel = function () {
        this.hiOnCancel.emit();
        this.hiVisible = false;
    };
    PopconfirmComponent.prototype.onConfirm = function () {
        this.hiOnConfirm.emit();
        this.hiVisible = false;
    };
    PopconfirmComponent.decorators = [
        { type: Component, args: [{
                    selector: 'hi-popconfirm',
                    preserveWhitespaces: false,
                    animations: [fadeAnimation],
                    template: "\n    <ng-content></ng-content><ng-template #overlay=\"cdkConnectedOverlay\" cdkConnectedOverlay [cdkConnectedOverlayOrigin]=\"overlayOrigin\" [cdkConnectedOverlayHasBackdrop]=\"_hasBackdrop\" (backdropClick)=\"hide()\" (detach)=\"hide()\" (positionChange)=\"onPositionChange($event)\" [cdkConnectedOverlayPositions]=\"_positions\" [cdkConnectedOverlayOpen]=\"visible$ | async\"><div class=\"hi-popover\" [ngClass]=\"_classMap\" [ngStyle]=\"hiOverlayStyle\" [@fadeAnimation]=\"''+(visible$ | async)\" (@fadeAnimation.done)=\"_afterVisibilityAnimation($event)\"><div class=\"hi-popover-content\"><div class=\"hi-popover-arrow\"></div><div class=\"hi-popover-inner\"><div><div class=\"hi-popover-inner-content\"><div class=\"hi-popover-message\" *ngIf=\"!hiTemplate\"><i class=\"anticon anticon-exclamation-circle\"></i><div class=\"hi-popover-message-title\">{{ hiTitle }}</div></div><div class=\"hi-popover-buttons\" *ngIf=\"!hiTemplate\"><button type=\"button\" class=\"btn btn-light btn-sm\" (click)=\"onCancel()\"><ng-container *ngIf=\"hiCancelText\">{{ hiCancelText }}</ng-container><ng-container *ngIf=\"!hiCancelText\">{{ option.cancelText}}</ng-container></button> <button type=\"button\" class=\"btn btn-primary btn-sm\" (click)=\"onConfirm()\"><ng-container *ngIf=\"hiOkText\">{{ hiOkText }}</ng-container><ng-container *ngIf=\"!hiOkText\">{{ option.okText}}</ng-container></button></div><ng-template *ngIf=\"hiTemplate\" [ngTemplateOutlet]=\"hiTemplate\"></ng-template></div></div></div></div></div></ng-template>\n  ",
                    styles: ["\n    .cdk-overlay-container{pointer-events:none;top:0;left:0;height:100%;width:100%;position:fixed;z-index:1000}.cdk-overlay-backdrop{top:0;bottom:0;left:0;right:0;-webkit-tap-highlight-color:transparent;-webkit-transition:opacity .4s cubic-bezier(.25,.8,.25,1);transition:opacity .4s cubic-bezier(.25,.8,.25,1);opacity:0}.cdk-overlay-backdrop,.cdk-overlay-pane{position:absolute;pointer-events:auto;z-index:1000}.hi-popover{font-family:\"Monospaced Number\",\"Chinese Quote\",-apple-system,BlinkMacSystemFont,\"Segoe UI\",Roboto,\"PingFang SC\",\"Hiragino Sans GB\",\"Microsoft YaHei\",\"Helvetica Neue\",Helvetica,Arial,sans-serif;font-size:14px;line-height:1.5;color:rgba(0,0,0,.65);-webkit-box-sizing:border-box;box-sizing:border-box;margin:0;padding:0;list-style:none;position:relative;top:0;left:0;z-index:1030;cursor:auto;-webkit-user-select:text;-moz-user-select:text;-ms-user-select:text;user-select:text;white-space:normal;font-weight:400;text-align:left}.hi-popover:after{content:\"\";position:absolute;background:rgba(255,255,255,.01)}.hi-popover-hidden{display:none}.hi-popover-placement-top,.hi-popover-placement-topLeft,.hi-popover-placement-topRight{padding-bottom:9px}.hi-popover-placement-right,.hi-popover-placement-rightBottom,.hi-popover-placement-rightTop{padding-left:9px}.hi-popover-placement-bottom,.hi-popover-placement-bottomLeft,.hi-popover-placement-bottomRight{padding-top:9px}.hi-popover-placement-left,.hi-popover-placement-leftBottom,.hi-popover-placement-leftTop{padding-right:9px}.hi-popover-inner{background-color:#fff;background-clip:padding-box;border-radius:4px;-webkit-box-shadow:0 2px 8px rgba(0,0,0,.15);box-shadow:0 2px 8px rgba(0,0,0,.15)}.hi-popover-title{min-width:177px;margin:0;padding:5px 16px 4px;min-height:32px;border-bottom:1px solid #e8e8e8;color:rgba(0,0,0,.85);font-weight:500}.hi-popover-inner-content{padding:12px 16px;color:rgba(0,0,0,.65)}.hi-popover-message{padding:4px 0 12px;font-size:14px;color:rgba(0,0,0,.65)}.hi-popover-message>.anticon{color:#faad14;line-height:1.6;position:absolute}.hi-popover-message-title{padding-left:22px}.hi-popover-buttons{text-align:right;margin-bottom:4px}.hi-popover-buttons button{margin-left:8px}.hi-popover-arrow{background:#fff;width:7.07106781px;height:7.07106781px;-webkit-transform:rotate(45deg);transform:rotate(45deg);position:absolute;display:block;border-color:transparent;border-style:solid}.hi-popover-placement-top>.hi-popover-content>.hi-popover-arrow,.hi-popover-placement-topLeft>.hi-popover-content>.hi-popover-arrow,.hi-popover-placement-topRight>.hi-popover-content>.hi-popover-arrow{bottom:6px;-webkit-box-shadow:3px 3px 7px rgba(0,0,0,.07);box-shadow:3px 3px 7px rgba(0,0,0,.07)}.hi-popover-placement-top>.hi-popover-content>.hi-popover-arrow{left:50%;-webkit-transform:translateX(-50%) rotate(45deg);transform:translateX(-50%) rotate(45deg)}.hi-popover-placement-topLeft>.hi-popover-content>.hi-popover-arrow{left:16px}.hi-popover-placement-topRight>.hi-popover-content>.hi-popover-arrow{right:16px}.hi-popover-placement-right>.hi-popover-content>.hi-popover-arrow,.hi-popover-placement-rightBottom>.hi-popover-content>.hi-popover-arrow,.hi-popover-placement-rightTop>.hi-popover-content>.hi-popover-arrow{left:6px;-webkit-box-shadow:-3px 3px 7px rgba(0,0,0,.07);box-shadow:-3px 3px 7px rgba(0,0,0,.07)}.hi-popover-placement-right>.hi-popover-content>.hi-popover-arrow{top:50%;-webkit-transform:translateY(-50%) rotate(45deg);transform:translateY(-50%) rotate(45deg)}.hi-popover-placement-rightTop>.hi-popover-content>.hi-popover-arrow{top:12px}.hi-popover-placement-rightBottom>.hi-popover-content>.hi-popover-arrow{bottom:12px}.hi-popover-placement-bottom>.hi-popover-content>.hi-popover-arrow,.hi-popover-placement-bottomLeft>.hi-popover-content>.hi-popover-arrow,.hi-popover-placement-bottomRight>.hi-popover-content>.hi-popover-arrow{top:6px;-webkit-box-shadow:-1px -1px 4px rgba(0,0,0,.06);box-shadow:-1px -1px 4px rgba(0,0,0,.06)}.hi-popover-placement-bottom>.hi-popover-content>.hi-popover-arrow{left:50%;-webkit-transform:translateX(-50%) rotate(45deg);transform:translateX(-50%) rotate(45deg)}.hi-popover-placement-bottomLeft>.hi-popover-content>.hi-popover-arrow{left:16px}.hi-popover-placement-bottomRight>.hi-popover-content>.hi-popover-arrow{right:16px}.hi-popover-placement-left>.hi-popover-content>.hi-popover-arrow,.hi-popover-placement-leftBottom>.hi-popover-content>.hi-popover-arrow,.hi-popover-placement-leftTop>.hi-popover-content>.hi-popover-arrow{right:6px;-webkit-box-shadow:3px -3px 7px rgba(0,0,0,.07);box-shadow:3px -3px 7px rgba(0,0,0,.07)}.hi-popover-placement-left>.hi-popover-content>.hi-popover-arrow{top:50%;-webkit-transform:translateY(-50%) rotate(45deg);transform:translateY(-50%) rotate(45deg)}.hi-popover-placement-leftTop>.hi-popover-content>.hi-popover-arrow{top:12px}.hi-popover-placement-leftBottom>.hi-popover-content>.hi-popover-arrow{bottom:12px}\n  "],
                    encapsulation: ViewEncapsulation.None,
                },] },
    ];
    /** @nocollapse */
    PopconfirmComponent.ctorParameters = function () { return [
        { type: ChangeDetectorRef, },
    ]; };
    PopconfirmComponent.propDecorators = {
        "hiContent": [{ type: Input },],
        "hiOkText": [{ type: Input },],
        "hiCancelText": [{ type: Input },],
        "hiCondition": [{ type: Input },],
        "hiOnCancel": [{ type: Output },],
        "hiOnConfirm": [{ type: Output },],
    };
    return PopconfirmComponent;
}(TooltipComponent));
export { PopconfirmComponent };
