import { Component, ChangeDetectionStrategy, Input } from '@angular/core';
import { HiNGConfig } from '../hi.config';
var ProgressBarComponent = /** @class */ (function () {
    function ProgressBarComponent(hiNGConfig) {
        this.type = '';
        this.type = hiNGConfig.progressBar.type;
        this.animate = hiNGConfig.progressBar.animate;
        this.striped = hiNGConfig.progressBar.striped;
        this.max = hiNGConfig.progressBar.max;
    }
    ProgressBarComponent.decorators = [
        { type: Component, args: [{
                    selector: 'hi-progress-bar',
                    template: "\n    <div class=\"progress {{cssClass}}\" [ngClass]=\"{'thin': thin}\"><div class=\"progress-bar {{ type? 'progress-bar-' + type : ''}}\" role=\"progressbar\" [attr.aria-valuenow]=\"value\" aria-valuemin=\"0\" [attr.aria-valuemax]=\"max\" style=\"min-width: 2em\" [style.min-width.%]=\"value * 100 / max\">{{text}}</div></div>\n  ",
                    changeDetection: ChangeDetectionStrategy.OnPush
                },] },
    ];
    /** @nocollapse */
    ProgressBarComponent.ctorParameters = function () { return [
        { type: HiNGConfig, },
    ]; };
    ProgressBarComponent.propDecorators = {
        "type": [{ type: Input },],
        "text": [{ type: Input },],
        "thin": [{ type: Input },],
        "max": [{ type: Input },],
        "animate": [{ type: Input },],
        "striped": [{ type: Input },],
        "value": [{ type: Input },],
        "cssClass": [{ type: Input },],
    };
    return ProgressBarComponent;
}());
export { ProgressBarComponent };
