import { AfterContentInit, EventEmitter, OnDestroy, QueryList } from '@angular/core';
import { OptionGroupComponent } from './option-group.component';
import { OptionComponent } from './option.component';
import { Subscription } from 'rxjs/Subscription';
import { OptionLiComponent } from './option-li.component';
import { TFilterOption } from './option.pipe';
export declare class OptionContainerComponent implements AfterContentInit, OnDestroy {
    private _listOfSelectedValue;
    private _searchValue;
    isInit: boolean;
    isAddTagOptionDisplay: boolean;
    listOfAllTemplateOption: OptionComponent[];
    optionSubscription: Subscription;
    groupSubscription: Subscription;
    listOfTagOption: OptionComponent[];
    listOfFilterOption: OptionComponent[];
    activatedOption: OptionComponent;
    /** can not use ViewChild since it will match sub options in option group **/
    listOfHiOptionLiComponent: QueryList<OptionLiComponent>;
    listOfHiOptionComponent: QueryList<OptionComponent>;
    listOfHiOptionGroupComponent: QueryList<OptionGroupComponent>;
    hiListOfSelectedValueChange: EventEmitter<any[]>;
    hiListOfTemplateOptionChange: EventEmitter<OptionComponent[]>;
    hiClickOption: EventEmitter<void>;
    hiScrollToBottom: EventEmitter<void>;
    hiMode: string;
    hiServerSearch: boolean;
    hiFilterOption: TFilterOption;
    hiMaxMultipleCount: number;
    hiNotFoundContent: string;
    compareWith: (o1: any, o2: any) => boolean;
    hiSearchValue: string;
    hiListOfSelectedValue: any[];
    addTagOption(): void;
    clickOption(option: OptionComponent, isPressEnter: boolean): void;
    onKeyDownUl(e: KeyboardEvent): void;
    resetActiveOption(): void;
    clearActivatedOption(): void;
    setActiveOption(option: OptionComponent, scroll?: boolean): void;
    scrollIntoView(): void;
    updateSelectedOption(option: OptionComponent, isPressEnter: boolean): void;
    refreshListOfTagOption(): void;
    refreshListOfAllTemplateOption(): void;
    refreshAllOptionStatus(isTemplateOptionChange: boolean): void;
    updateListOfFilterOption(): void;
    /** watch options change in option group **/
    watchSubOptionChanges(): void;
    unsubscribeGroup(): void;
    unsubscribeOption(): void;
    readonly isTagsMode: boolean;
    readonly isMultipleOrTags: boolean;
    readonly isNotFoundDisplay: boolean;
    updateAddTagOptionDisplay(): void;
    dropDownScroll(e: MouseEvent, ul: HTMLUListElement): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
}
