import { Pipe } from '@angular/core';
var ContainerPipe = /** @class */ (function () {
    function ContainerPipe() {
    }
    ContainerPipe.prototype._getObjectPath = function (obj, path) {
        var res = obj;
        var paths = path.split('.');
        var depth = paths.length;
        var index = 0;
        while (res && index < depth) {
            res = res[paths[index++]];
        }
        return index === depth ? res : null;
    };
    ContainerPipe.prototype.translate = function (path, data) {
        var content = this._getObjectPath(this._locale, path);
        if (typeof content === 'string') {
            if (data) {
                Object.keys(data).forEach(function (key) { return content = content.replace(new RegExp("%" + key + "%", 'g'), data[key]); });
            }
            return content;
        }
        return path;
    };
    ContainerPipe.prototype.transform = function (path, keyValue) {
        return this.translate(path, keyValue);
    };
    ContainerPipe.decorators = [
        { type: Pipe, args: [{ name: 'hiI18n' },] },
    ];
    return ContainerPipe;
}());
export { ContainerPipe };
