import { Component, QueryList, ContentChildren, Input, Output, EventEmitter } from '@angular/core';
import { TabComponent } from './tab.component';
import { HiNGConfig } from '../hi.config';
var TabsComponent = /** @class */ (function () {
    function TabsComponent(hiNGConfig) {
        this.type = 'tabs';
        this.activeTabChange = new EventEmitter();
        this.type = hiNGConfig.tabs.type;
        this.justified = hiNGConfig.tabs.justified;
        this.vertical = hiNGConfig.tabs.vertical;
    }
    TabsComponent.prototype.ngAfterContentInit = function () {
        if (!this.activeTab && this.tabs.length) {
            this.select(this.tabs.first.id);
        }
    };
    TabsComponent.prototype.select = function (id) {
        var tab = this.tabs.find(function (item) { return item.id === id; });
        if (tab && !tab.disabled) {
            this.activeTab = id;
            this.activeTabChange.emit(id);
        }
    };
    TabsComponent.decorators = [
        { type: Component, args: [{
                    selector: 'hi-tabs',
                    template: "\n    <ul class=\"nav nav-{{type}} {{cssClass}}\" [ngClass]=\"{'nav-stacked': vertical,'nav-justified': justified}\" role=\"tablist\"><li class=\"nav-item\" *ngFor=\"let tab of tabs\"><a class=\"nav-link\" role=\"tab\" (click)=\"select(tab.id)\" [class.active]=\"tab.id == activeTab\" data-toggle=\"tab\" [attr.aria-expanded]=\"tab.id == activeTab\"><i class=\"{{tab.icon}}\"></i><ng-template *ngIf=\"!tab.title\" [ngTemplateOutlet]=\"tab.titleTpl?.templateRef\"></ng-template>{{tab.title}}</a></li></ul><div class=\"tab-content\"><ng-container *ngFor=\"let tab of tabs\"><div class=\"tab-pane\" role=\"tabcard\" [ngClass]=\"{'in active': tab.id == activeTab}\"><ng-template [ngTemplateOutlet]=\"tab?.contentTpl?.templateRef\"></ng-template>{{tab.content}}</div></ng-container></div>\n  ",
                    exportAs: 'tabs'
                },] },
    ];
    /** @nocollapse */
    TabsComponent.ctorParameters = function () { return [
        { type: HiNGConfig, },
    ]; };
    TabsComponent.propDecorators = {
        "type": [{ type: Input },],
        "activeTab": [{ type: Input },],
        "vertical": [{ type: Input },],
        "justified": [{ type: Input },],
        "cssClass": [{ type: Input },],
        "tabs": [{ type: ContentChildren, args: [TabComponent,] },],
        "activeTabChange": [{ type: Output },],
    };
    return TabsComponent;
}());
export { TabsComponent };
