import { Component, forwardRef, Input } from '@angular/core';
import { NG_VALUE_ACCESSOR } from '@angular/forms';
import { HiNGConfig } from '../hi.config';
var TagsComponent = /** @class */ (function () {
    function TagsComponent(rebirthNGConfig) {
        this.rebirthNGConfig = rebirthNGConfig;
        this.mutipleItems = [];
        this.onChange = function (_) { return null; };
        this.onTouched = function () { return null; };
        this.type = this.rebirthNGConfig.tags.type;
        this.newTagText = this.rebirthNGConfig.tags.newTagText;
        this.plusIcon = this.rebirthNGConfig.tags.plusIcon;
        this.removeIcon = this.rebirthNGConfig.tags.removeIcon;
        this.maxlength = this.rebirthNGConfig.tags.maxlength;
        this.maxSize = this.rebirthNGConfig.tags.maxSize;
    }
    TagsComponent.prototype.writeValue = function (obj) {
        this.mutipleItems = typeof obj === 'string' ? [obj] : (obj || []);
    };
    TagsComponent.prototype.registerOnChange = function (fn) {
        this.onChange = fn;
    };
    TagsComponent.prototype.registerOnTouched = function (fn) {
        this.onTouched = fn;
    };
    TagsComponent.prototype.setDisabledState = function (isDisabled) {
        this.disabled = isDisabled;
    };
    TagsComponent.prototype.newTag = function () {
        if (this.canAddMore()) {
            this.isTyping = true;
        }
    };
    TagsComponent.prototype.removeLabel = function (label) {
        this.mutipleItems = this.mutipleItems.filter(function (item) { return label !== item; });
        this.onTouched();
        this.onChange(this.mutipleItems);
    };
    TagsComponent.prototype.addLabel = function (label) {
        this.onTouched();
        if (label && this.mutipleItems.indexOf(label) === -1 && this.canAddMore()) {
            this.mutipleItems.push(label);
            this.onChange(this.mutipleItems);
        }
        this.selectValue = '';
        this.isTyping = false;
    };
    TagsComponent.prototype.canAddMore = function () {
        return !this.maxSize || this.mutipleItems.length < this.maxSize;
    };
    TagsComponent.prototype.boxBlur = function (label) {
        this.addLabel(label);
    };
    TagsComponent.decorators = [
        { type: Component, args: [{
                    selector: 'hi-tags',
                    template: "\n    <ul class=\"tags {{cssClass}}\"><li *ngFor=\"let item of mutipleItems\" class=\"tag-item\"><span class=\"label label-{{type}} tag\" [ngClass]=\"{disabled: disabled}\">{{item}}<i aria-hidden=\"true\" class=\"label-btn label-remove {{removeIcon}}\" *ngIf=\"!disabled\" (click)=\"removeLabel(item)\"></i></span></li><li *ngIf=\"!disabled && !isTyping\" (click)=\"newTag()\" class=\"new-tag-item\"><button class=\"btn label label-{{type}} btn-new-tag\" [disabled]=\"!canAddMore()\">{{newTagText}}<i aria-hidden=\"true\" class=\"label-btn label-plus {{plusIcon}}\"></i></button></li><li *ngIf=\"!disabled && isTyping\" class=\"tag-input-panel\"><input [hiAutoFocus]=\"isTyping\" name=\"tagsInput\" class=\"form-control tag-input-control\" [maxlength]=\"maxlength\" [(ngModel)]=\"selectValue\" (keydown.enter)=\"addLabel(selectValue)\" (blur)=\"boxBlur(selectValue)\"></li></ul>\n  ",
                    exportAs: 'tags',
                    providers: [{
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(function () { return TagsComponent; }),
                            multi: true
                        }]
                },] },
    ];
    /** @nocollapse */
    TagsComponent.ctorParameters = function () { return [
        { type: HiNGConfig, },
    ]; };
    TagsComponent.propDecorators = {
        "cssClass": [{ type: Input },],
        "newTagText": [{ type: Input },],
        "plusIcon": [{ type: Input },],
        "removeIcon": [{ type: Input },],
        "maxlength": [{ type: Input },],
        "maxSize": [{ type: Input },],
        "type": [{ type: Input },],
    };
    return TagsComponent;
}());
export { TagsComponent };
